corda / net.corda.core.contracts.clauses / Clause / <init>

# <init>

`Clause()`

A clause of a contract, containing a chunk of verification logic. That logic may be delegated to other clauses, or provided directly by this clause.

### Parameters

`S` - the type of contract state this clause operates on.

`C` - a common supertype of commands this clause operates on.

`K` - the type of the grouping key for states this clause operates on. Use Unit if not applicable.

See Also

CompositeClause